using Test
using KernelFunctions
using GreedyKernelMethods

κ = GaussianKernel()
f(x) = sin(sum(x))     # ℝ^d → ℝ
d = 2
n = 200
X = randn(d,n)
l = 10

@testset "General" begin
    Z_det = max_determinant(κ, X, l)
    Z_res, w_res = greedy_interpolation(MaximizeResidual(), κ, X, l, f)
    Z_mmd, w_mmd = greedy_interpolation(GreedyResidualNormMinimization(), κ, X, l, f)
    @test size(Z_det) == (d, l)
    @test size(Z_res) == (d, l)
    @test size(Z_mmd) == (d, l)
end
